# DocBook to HTML - Links and Cross References

## Templates

`db2html.anchor`

  Generates an anchor point for an element

`db2html.link`

  Generates a hyperlink from a `link` element

`db2html.ulink`

  Generates a hyperlink from a `ulink` element

`db2html.xref`

  Generates a hyperlink from an `xref` element

## `db2html.anchor`

Generates an anchor point for an element

### Parameters

`node`

  The element to generate an anchor for

`name`

  The text to use for the `name` attribute

### Description

## `db2html.link`

Generates a hyperlink from a `link` element

### Parameters

`linkend`

  The id of the element being linked to

`target`

  The element being linked to

### Description

## `db2html.ulink`

Generates a hyperlink from a `ulink` element

### Parameters

`url`

  The URL to link to

`content`

  Optional content to use for the text of the link

### Description

## `db2html.xref`

Generates a hyperlink from an `xref` element

### Parameters

`linkend`

  The id of the element being linked to

`target`

  The element being linked to

`endterm`

  The id of an element whose contents will be used for the link text

`xrefstyle`

  The style of cross reference text to use

`content`

  Optional content to use for the text of the link

### Description